1 svar
69 visningar
Fenriz 3
Postad: 15 jun 10:38

Problem att installera "getkey package"

Jag försöker installera getkey till PyCharm. Men får felmeddelande. Jag fick först meddelande att pip inte var senaste uppdateringen. Efter detta kommer ett nytt felmeddelande. Som säger såhär:

Jag blir så frustrerad har ingen aning hur jag ska göra nu.

Nån som vet?

 

p.s

Någon annan bra IDE för python där jag kanske har större lycka att installera package?

-------------------------------------------------------------------------------------

Collecting getkey
Using cached getkey-0.6.5.tar.gz (13 kB)
Preparing metadata (setup.py): started
Preparing metadata (setup.py): finished with status 'error'

error: subprocess-exited-with-error

python setup.py egg_info did not run successfully.
exit code: 1

[10 lines of output]
Traceback (most recent call last):
File "<string>", line 2, in <module>
File "<pip-setuptools-caller>", line 34, in <module>
File "C:\Users\k_lon\AppData\Local\Temp\pip-install-7twadpny\getkey_02c6d2905b4d4864a2f21fd3c1dbf956\setup.py", line 37, in <module>
long_description=read_description(),
File "C:\Users\k_lon\AppData\Local\Temp\pip-install-7twadpny\getkey_02c6d2905b4d4864a2f21fd3c1dbf956\setup.py", line 11, in read_description
return fd.read()
File "C:\Python35\lib\encodings\cp1252.py", line 23, in decode
return codecs.charmap_decode(input,self.errors,decoding_table)[0]
UnicodeDecodeError: 'charmap' codec can't decode byte 0x81 in position 876: character maps to <undefined>
[end of output]

note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

Encountered error while generating package metadata.

See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.

--------------------------------------------------------------------------------

Hondel 613
Postad: 15 jun 21:04

Någon annan har frågat samma sak i detta forum, jag har för mig att det finns ett alternativt github-repo du kan ladda ned och installera därifrån (dock det github-repo som vi diskuterade i den tråden var samma som man hämtar från git och därför skulle generera samma fel)

Svara Avbryt
Close